org.apache.sling.event.jobs.consumer

## Interface JobExecutionContext.ResultBuilder

Enclosing interface:
  JobExecutionContext

    public static interface JobExecutionContext.ResultBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`JobExecutionResult` `cancelled()` The job processing failed permanently.
`JobExecutionResult` `failed()` The job processing failed and might be retried.
`JobExecutionResult` `failed(long retryDelayInMs)` The job processing failed and might be retried.
`JobExecutionContext.ResultBuilder` `message(String message)` Add an optional processing message.
`JobExecutionResult` `succeeded()` The job processing finished successfully.

### Method Detail

#### message

    JobExecutionContext.ResultBuilder message(String message)

Add an optional processing message. This message can be viewed using `Job.getResultMessage()`.

Parameters:
  `message` - The message
Returns:
  The builder to continue building the result.

#### succeeded

    JobExecutionResult succeeded()

The job processing finished successfully.

Returns:
  The job execution result.

#### failed

    JobExecutionResult failed()

The job processing failed and might be retried.

Returns:
  The job execution result.

#### failed

    JobExecutionResult failed(long retryDelayInMs)

The job processing failed and might be retried.

Parameters:
  `retryDelayInMs` - The new retry delay in ms.
Returns:
  The job execution result

#### cancelled

    JobExecutionResult cancelled()

The job processing failed permanently.

Returns:
  The job execution result